> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all wrapped assets

> Returns a list of all supported wrapped assets details objects



## OpenAPI

````yaml GET /wrapped-assets
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /wrapped-assets:
    get:
      tags:
        - Wrapped assets
      summary: Get all wrapped assets
      description: Returns a list of all supported wrapped assets details objects
      operationId: ExchangeRESTAPI_GetWrappedAssets
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiWrappedAssets'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
      security: []
components:
  schemas:
    apiWrappedAssets:
      required:
        - wrapped_assets
      type: object
      properties:
        wrapped_assets:
          type: array
          items:
            $ref: '#/components/schemas/apiWrappedAsset'
      example:
        wrapped_assets:
          - id: CBETH
            circulating_supply: '221127.7137774658'
            total_supply: '926714.1251656958084'
            conversion_rate: '1.006081377449935752'
            apy: '0.0384'
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
    apiWrappedAsset:
      required:
        - apy
        - circulating_supply
        - conversion_rate
        - id
        - redeem_time_estimate_days
        - total_supply
      type: object
      properties:
        id:
          type: string
          description: The symbol of the wrapped asset
        circulating_supply:
          type: string
          description: >-
            The assets wrapped by customers less the assets unwrapped by
            customers existing outside of Coinbase's premint account
        total_supply:
          type: string
          description: The total token supply of the asset matching that on Etherscan
        conversion_rate:
          type: string
          description: >-
            The conversion rate between the wrapped asset and the underlying
            asset
        apy:
          type: string
          description: The APY earned by the supply of the underlying asset
        redeem_time_estimate_days:
          type: string
          description: The estimated time to redeem the wrapped asset in days
      example:
        id: CBETH
        circulating_supply: '221127.7137774658'
        total_supply: '926714.1251656958084'
        conversion_rate: '1.006081377449935752'
        apy: '0.0384'
        redeem_time_estimate_days: '12.34'
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````